## gopls 0.16.1+ds

=== debian/changelog ===
gopls (2:0.16.1+ds-1) unstable; urgency=medium

  * New upstream version 0.16.1
  * Bump versioned dependencies as per go.mod
  * Bump local golang.org/x/telemetry to v0.0.0-20240607193123-221703e18637
  * Add gopls/internal/server/assets and gopls/internal/doc/api.json
    to DH_GOLANG_INSTALL_EXTRA
  * Refresh patches, especially
    0007-Skip-gopls-internal-licenses-TestLicenses.patch for the
    gopls/internal/hooks/licenses_test.go =>
    gopls/internal/licenses/licenses_test.go rename.
  * Add 0020-Skip-go-packages-TestLoadOverlayGoMod.patch (needs Go mod)
  * Renumber Debian patches with gopls-specific patches starting at 1000
    for easier maintenance

 -- Anthony Fok <foka@debian.org>  Tue, 20 Aug 2024 08:19:41 -0600

gopls (2:0.15.3+ds-2) unstable; urgency=medium

  * Source-only upload for migration to testing
  * Fix autopkgtest error after the gopls split from golang-golang-x-tools.
    The error is caused by dh_golang_autopkgtest which, confused by the two
    packages’ identical XS-Go-Import-Path "golang.org/x/tools", incorrectly
    replaces gopls source files with those from golang-golang-x-tools-dev
    binary package, now without gopls source, in the _build directory.
  * Revert "Add gopls/internal/server/assets to DH_GOLANG_INSTALL_EXTRA"
    for now, as gopls v0.15.3 is an older release where upstream had not
    yet added gopls/internal/server/assets

 -- Anthony Fok <foka@debian.org>  Sat, 17 Aug 2024 04:08:59 -0600

gopls (2:0.15.3+ds-1) unstable; urgency=medium

  * Split gopls from golang-golang-x-tools to its own source package.
    golang.org/x/tools and gopls have diverged into to two separate
    branches upstream.  gopls built from golang.org/x/tools v0.20.0,
    for example, behave incorrectly and fails an ycmd Go test:
    .
      PYTHONPATH=/usr/lib/ycmd python3 -m unittest \
                               ycmd/tests/go/inlay_hints_test.py
    .
    Building from a gopls release branch resolves such errors
    and allows us to follow upstream’s lower gopls version number
    by bumping the epoch from 1 to 2. (Closes: #1063421)
  * New upstream version 0.15.3
  * Downgrade versioned dependencies in debian/control and local copy of
    golang.org/x/telemetry to v0.0.0-20240209200032-7b892fcb8a78
    as per gopls/go.mod of v0.15.3
  * Modify debian/rules to build just gopls
  * Delete now unneeded and non-working debian/gopls.install
  * Build with -ldflags '-X "main.version=v$(VERSION)"'
    so that "gopls version" correctly gives "golang.org/x/tools/gopls v0.15.3"
    instead of "golang.org/x/tools/gopls (unknown)"
  * Update Vcs-Browser and Vcs-Git to refer to the gopls/debian/sid branch
    of https://salsa.debian.org/go-team/packages/golang-golang-x-tools
    where this new gopls source Debian package is maintained.

 -- Anthony Fok <foka@debian.org>  Wed, 31 Jul 2024 06:15:15 -0600

golang-golang-x-tools (1:0.20.0+ds-1) unstable; urgency=medium

  * New upstream version 0.20.0
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)
  * Add gopls/internal/server/assets to DH_GOLANG_INSTALL_EXTRA
  * Stop installing /usr/bin/golang-guru and its Debian man page
    guru was removed upstream on 2024-03-08:
    "RIP guru, Go's LSP server before LSP was invented."
  * debian/patches/series: Comment out 0013-Disable-telemetry-in-gopls.patch
  * Include a local copy of golang.org/x/telemetry for gopls opt-in
    telemetry (golang.org/x/telemetry v0.0.0-20240228155512-f48c80bd79b2).
    .
    I have found it overly exhausting to revise the removal patch for
    telemetry code in gopls for each single golang.org/x/tools release,
    with little benefit, especially when the gopls telemetry system
    is off by default and requires an explicit opt-in.
    .
    That said, if fellow Debian Developers would like to take on the
    continuing task of refreshing 0013-Disable-telemetry-in-gopls.patch to
    remove telemetry functionality altogether, I am totally happy too!
    (Thank you!)
    .
    See https://go.dev/issue/58894 for more information from Russ Cox
    and discussions on "add opt-in transparent telemetry to Go toolchain".

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 22:43:01 -0600

golang-golang-x-tools (1:0.19.0+ds-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Bump versioned dependencies as per go.mod
  * Refresh patches, especially 0013-Disable-telemetry-in-gopls.patch
  * Remove getgo which was deleted and moved to v0.1.0-deprecated upstream

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 20:16:28 -0600

golang-golang-x-tools (1:0.18.0+ds-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Bump versioned dependencies as per go.mod
  * Refresh patches: 0011, 0013, 0017, 0018 and 0019
  * Patch cmd/deadcode/deadcode.go to disable telemetry
  * Update DH_GOLANG_EXCLUDES to prevent building /usr/bin/generate:
    gopls/internal/lsp/protocol/generate has been moved to
    gopls/internal/protocol/generate

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 21:54:09 -0700

golang-golang-x-tools (1:0.17.0+ds-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Update versioned dependencies as per go.mod
  * Add 0019-Set-GO111MODULE-auto-for-TestZeroConfigAlgorithm.patch

 -- Anthony Fok <foka@debian.org>  Sun, 04 Feb 2024 07:18:54 -0700

golang-golang-x-tools (1:0.16.1+ds-1) unstable; urgency=medium

  * New upstream version 0.16.1
  * Refresh patches:
    - 0003-Disable-embedding-static-files-for-godoc-cmd.patch
    - 0009-Skip-gopls-internal-lsp-cmd-TestCapabilities.patch
    - 0011-Skip-gopls-internal-lsp-cmd-TestRename-and-TestStats.patch
    - 0013-Disable-telemetry-in-gopls.patch
    - 0016-Fix-typo-GO111MODULES-GO111MODULE.patch
  * Patch 0017: Skip TestTemplates in gopls/internal/debug/template_test.go
    (needs golang-github-jba-templatecheck-dev which is not yet packaged)
  * Patch 0018: Set GO111MODULE=on for TestExecute and TestCodeLens

