=== debian/control ===
Source: gopls
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-golang-x-mod-dev (>= 0.18.0),
#               golang-golang-x-net-dev (>= 1:0.21.0),
               golang-golang-x-sync-dev (>= 0.7.0),
               golang-golang-x-text-dev (>= 0.16.0),
               golang-golang-x-vuln-dev (>= 1.0.4),
               golang-gopkg-yaml.v3-dev (>= 3.0.1),
               golang-honnef-go-tools-dev (>= 2023.1.7),
               golang-mvdan-gofumpt-dev (>= 0.6.0),
               golang-mvdan-xurls-dev (>= 2.5.0),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools/-/tree/gopls/debian/sid?ref_type=heads
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git -b gopls/debian/sid
Homepage: https://golang.org/x/tools
Rules-Requires-Root: no
XS-Go-Import-Path: golang.org/x/tools

Package: gopls
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using},
Breaks: golang-golang-x-tools (<< 1:0.0~git20201116.6f6c72a+ds-3),
Replaces: golang-golang-x-tools (<< 1:0.0~git20201116.6f6c72a+ds-3),
Description: language server for the Go language
 gopls (pronounced: "go please") is the official language server for the Go
 language.
 .
 The Language Server Protocol allows any text editor to be extended with
 IDE-like features.
