=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
  https://github.com/golang/tools \
  refs/tags/gopls/v?@ANY_VERSION@ debian
