## gopls 0.21.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.18~),
+               golang-github-fatih-camelcase-dev,
+               golang-github-fsnotify-fsnotify-dev,
+               golang-github-google-go-cmp-dev,
                golang-golang-x-mod-dev (>= 0.18.0),
 #               golang-golang-x-net-dev (>= 1:0.21.0),
                golang-golang-x-sync-dev (>= 0.7.0),
                golang-golang-x-text-dev (>= 0.16.0),
                golang-golang-x-vuln-dev (>= 1.0.4),
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
-               golang-honnef-go-tools-dev (>= 2023.1.7),
+               golang-honnef-go-tools-dev (>= 2026.1),
                golang-mvdan-gofumpt-dev (>= 0.6.0),
                golang-mvdan-xurls-dev (>= 2.5.0),
 Standards-Version: 4.7.0
