## gopls 0.21.1+ds

=== debian/changelog ===
gopls (2:0.21.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Require at least golang 1.25 for building this package
  * Remove Priority: optional from d/control
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Feb 2026 21:47:06 +0100

gopls (2:0.21.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.21.1+ds
    - Refresh patches
    - Add new patch to fix FTBFS
    - Add new dependencies
    - Add local copies of
      + github.com/fatih/gomodifytags
      + github.com/fatih/structtag
      + github.com/modelcontextprotocol
      + github.com/google/jsonschema-go
      + github.com/yosida95/uritemplate
  * Install needed files
  * Update override file
  * Update d/copyright
  * Update license terms for BSD-3-clause

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Feb 2026 11:01:36 +0100
