=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
            Anthony Fok <foka@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.18~),
+               golang-any (>= 2:1.25~),
                golang-github-fatih-camelcase-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-google-go-cmp-dev,
@@ -22,11 +21,10 @@
                golang-honnef-go-tools-dev (>= 2026.1),
                golang-mvdan-gofumpt-dev (>= 0.6.0),
                golang-mvdan-xurls-dev (>= 2.5.0),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools/-/tree/gopls/debian/sid?ref_type=heads
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git -b gopls/debian/sid
 Homepage: https://golang.org/x/tools
-Rules-Requires-Root: no
 XS-Go-Import-Path: golang.org/x/tools
 
 Package: gopls
